/* etherdev.h:
 *	Header File For The SMSC LAN911x Abstraction Layer.
 *
 *	This file is the header for the interface layer 
 *	between Micro Monitor and the ethernet driver for 
 *	the SMSC LAN911x.
 *
 *	General notice:
 *	This code is part of a boot-monitor package developed as a generic base
 *	platform for embedded system designs.  As such, it is likely to be
 *	distributed to various projects beyond the control of the original
 *	author.  Please notify the author of any enhancements made or bugs found
 *	so that all may benefit from the changes. In addition, notification back
 *	to the author will allow the new user to pick up changes that may have
 *	been made by other users after this version of the code was distributed.
 *
 *	Author:	Torsten Tetz, Bosch Security Systems
 */
#ifndef __ETHERDEV_H
#define __ETHERDEV_H

/* Must be a multiple of 4. */
#define TBUFSIZE 1600
#define RBUFSIZE 1600

/* Public functions of smsc911x driver: */
void smsc911x_reset(void);
void smsc911x_PHY_reset(void);
int smsc911x_init(void);
unsigned long smsc911x_send(unsigned long *txbuf,int length);
unsigned long smsc911x_package_arrived(void);
int smsc911x_receive(unsigned long *dataBuffer,unsigned long length);
int smsc911x_verify_chip_ID(void);
void smsc911x_disablePromiscuousReception(void);
void smsc911x_enablePromiscuousReception(void);

#endif	/* __ETHERDEV_H */

