/* ad7490.h:
 * This code supports the BF537's SPI interface connection to 
 * the Analog Devices AD7490 16-channel A-to-D converter (ADC).
 */

#ifndef AD7490_DEVTOT
#define AD7490_DEVTOT 1
#endif

/* 12 bits of serial data, extracted from a 16-bit (2 byte) transfer.
 * the first 12 bits of the 16 bits transferred are processed...
 * Refer to pg 12 (Internal Register Structure) of the ad7489 manual.
 */
#define AD7490_WRITE	0x8000	/* This bit is sent first. */
#define SEQ				0x4000
#define ADD3			0x2000
#define ADD2			0x1000
#define ADD1			0x0800
#define ADD0			0x0400
#define PM1				0x0200
#define PM0				0x0100
#define SHADOW			0x0080
#define WEAK_NOT_TRI	0x0040
#define RANGE			0x0020
#define CODING			0x0010

#define ADCBAUD	15000000

extern unsigned short vinTbl[AD7490_DEVTOT][16];
extern int ad7490_hexTovolts(unsigned short hex, float *volts);
extern void overcurrent_scan(int dev);
extern int ad7490_scan(int dev);
extern int ad7490_init(int dev);
extern int ad7490_read(int dev, unsigned short *);
extern int ad7490_write(int dev, unsigned short);
extern void ad7490_qinit(int dev);
