/* CLKIN is taken from the CLKIN bit on the CPU.  The BF537 STAMP board
 * has a 25Mhz clock on this line...
 */
#define CLKIN 25000000		/* This is the frequency into the CPU */

/* Set PLL up so that we have a 500Mhz core clock and 100Mhz
 * system clock (refer to pg 20.4 of BF537 HW reference for more
 * info).
 */
#define CORECLKFREQ 500000000	/* 500 Mhz Core clock */
#define SYSCLKFREQ  100000000	/* 100 Mhz System clock */

#define CACHE_LNSZ	32

#define PLL_DF_VAL	0		
#define CSEL_VAL	0		
#define MSEL_VAL    (CORECLKFREQ/CLKIN)	
#define SSEL_VAL	(CORECLKFREQ/SYSCLKFREQ)

/* I-Squared-C (TWI in Blackfin terms) stuff...
 */
#define I2C_SCL_FREQ	400000		/* This is usually either 100K or 400K */
#define I2C_TIMEOUT		1000000	


#define RESETFUNC()	((void(*)())0x20000000)
